## sqlrelay-1.9.2.tar.gz

=== bin/Makefile ===
top_builddir = ..

include ../config.mk

install: $(INSTALLCONFIG)

install-clientconfig:
	$(MKINSTALLDIRS) $(bindir)
	$(CP) sqlrclient-config $(bindir)/$(SQLR)client-config
	$(CHMOD) 755 $(bindir)/$(SQLR)client-config
	$(CP) sqlrclientwrapper-config $(bindir)/$(SQLR)clientwrapper-config
	$(CHMOD) 755 $(bindir)/$(SQLR)clientwrapper-config

install-serverconfig:
	$(MKINSTALLDIRS) $(bindir)
	$(CP) sqlrserver-config $(bindir)/$(SQLR)server-config
	$(CHMOD) 755 $(bindir)/$(SQLR)server-config

uninstall:
	$(RM) $(bindir)/$(SQLR)client-config \
		$(bindir)/$(SQLR)clientwrapper-config \
		$(bindir)/$(SQLR)server-config \
		$(bindir)/sqlrclient-config \
		$(bindir)/sqlrclientwrapper-config \
		$(bindir)/sqlrserver-config

=== doc/Makefile ===
top_builddir = ..

include ../config.mk

.SUFFIXES: .wt .html

SRCS = index.wt faq.wt
OBJS = index.html faq.html

.wt.html:
	wt -i $< -o $@ -xhtml xhtml.conf

all: $(OBJS)
	cd admin $(AND) $(MAKE)
	cd dropin $(AND) $(MAKE)
	cd features $(AND) $(MAKE)
	cd programming $(AND) $(MAKE)

install:
	$(MKINSTALLDIRS) $(docdir)
	$(MKINSTALLDIRS) $(docdir)/admin
	$(MKINSTALLDIRS) $(docdir)/api
	$(MKINSTALLDIRS) $(docdir)/api/ado.net/html
	$(MKINSTALLDIRS) $(docdir)/api/c/html
	$(MKINSTALLDIRS) $(docdir)/api/c++/html
	$(MKINSTALLDIRS) $(docdir)/api/cs/html
	$(MKINSTALLDIRS) $(docdir)/api/perl
	$(MKINSTALLDIRS) $(docdir)/api/php/media
	$(MKINSTALLDIRS) $(docdir)/api/php/sql_relay
	$(MKINSTALLDIRS) $(docdir)/api/python
	$(MKINSTALLDIRS) $(docdir)/api/ruby/doc/classes/SQLRConnection.src
	$(MKINSTALLDIRS) $(docdir)/api/ruby/doc/classes/SQLRCursor.src
	$(MKINSTALLDIRS) $(docdir)/api/ruby/doc/files
	$(MKINSTALLDIRS) $(docdir)/api/ruby/doc/images
	$(MKINSTALLDIRS) $(docdir)/api/ruby/doc/js
	$(MKINSTALLDIRS) $(docdir)/api/java
	$(MKINSTALLDIRS) $(docdir)/api/tcl
	$(MKINSTALLDIRS) $(docdir)/api/erlang/html
	$(MKINSTALLDIRS) $(docdir)/api/nodejs/html
	$(MKINSTALLDIRS) $(docdir)/dropin
	$(MKINSTALLDIRS) $(docdir)/features
	$(MKINSTALLDIRS) $(docdir)/images
	$(MKINSTALLDIRS) $(docdir)/js
	$(MKINSTALLDIRS) $(docdir)/css
	$(MKINSTALLDIRS) $(docdir)/programming
	$(CP) *.html $(docdir)
	$(CHMOD) 644 $(docdir)/*.html
	$(CP) admin/*.html $(docdir)/admin
	$(CHMOD) 644 $(docdir)/admin/*.html
	$(CP) css/*.css $(docdir)/css
	$(CHMOD) 644 $(docdir)/css/*.css
	$(CP) api/ado.net/html/*.html $(docdir)/api/ado.net/html
	$(CHMOD) 644 $(docdir)/api/ado.net/html/*.html
	$(CP) api/ado.net/html/*.css $(docdir)/api/ado.net/html
	$(CHMOD) 644 $(docdir)/api/ado.net/html/*.css
	$(CP) api/ado.net/html/*.png $(docdir)/api/ado.net/html
	$(CHMOD) 644 $(docdir)/api/ado.net/html/*.png
	$(CP) api/ado.net/html/*.js $(docdir)/api/ado.net/html
	$(CHMOD) 644 $(docdir)/api/ado.net/html/*.js
	$(CP) api/c/html/*.html $(docdir)/api/c/html
	$(CHMOD) 644 $(docdir)/api/c/html/*.html
	$(CP) api/c/html/*.css $(docdir)/api/c/html
	$(CHMOD) 644 $(docdir)/api/c/html/*.css
	$(CP) api/c/html/*.png $(docdir)/api/c/html
	$(CHMOD) 644 $(docdir)/api/c/html/*.png
	$(CP) api/c/html/*.js $(docdir)/api/c/html
	$(CHMOD) 644 $(docdir)/api/c/html/*.js
	$(CP) api/c++/html/*.html $(docdir)/api/c++/html
	$(CHMOD) 644 $(docdir)/api/c++/html/*.html
	$(CP) api/c++/html/*.css $(docdir)/api/c++/html
	$(CHMOD) 644 $(docdir)/api/c++/html/*.css
	$(CP) api/c++/html/*.png $(docdir)/api/c++/html
	$(CHMOD) 644 $(docdir)/api/c++/html/*.png
	$(CP) api/c++/html/*.js $(docdir)/api/c++/html
	$(CHMOD) 644 $(docdir)/api/c++/html/*.js
	$(CP) api/cs/html/*.html $(docdir)/api/cs/html
	$(CHMOD) 644 $(docdir)/api/cs/html/*.html
	$(CP) api/cs/html/*.css $(docdir)/api/cs/html
	$(CHMOD) 644 $(docdir)/api/cs/html/*.css
	$(CP) api/cs/html/*.png $(docdir)/api/cs/html
	$(CHMOD) 644 $(docdir)/api/cs/html/*.png
	$(CP) api/cs/html/*.js $(docdir)/api/cs/html
	$(CHMOD) 644 $(docdir)/api/cs/html/*.js
	$(CP) api/perl/perl.html $(docdir)/api/perl
	$(CHMOD) 644 $(docdir)/api/perl/perl.html
	$(CP) api/perl/Connection.html $(docdir)/api/perl
	$(CHMOD) 644 $(docdir)/api/perl/Connection.html
	$(CP) api/perl/Cursor.html $(docdir)/api/perl
	$(CHMOD) 644 $(docdir)/api/perl/Cursor.html
	$(CP) api/perl/SQLRelay.html $(docdir)/api/perl
	$(CHMOD) 644 $(docdir)/api/perl/SQLRelay.html
	$(CP) api/php/*.html $(docdir)/api/php
	$(CHMOD) 644 $(docdir)/api/php/*.html
	$(CP) api/php/media/*.css $(docdir)/api/php/media
	$(CHMOD) 644 $(docdir)/api/php/media/*.css
	$(CP) api/php/sql_relay/*.html $(docdir)/api/php/sql_relay
	$(CHMOD) 644 $(docdir)/api/php/sql_relay/*.html
	$(CP) api/python/*.html $(docdir)/api/python
	$(CHMOD) 644 $(docdir)/api/python/*.html
	$(CP) api/ruby/doc/*.html $(docdir)/api/ruby/doc
	$(CHMOD) 644 $(docdir)/api/ruby/doc/*.html
	$(CP) api/ruby/doc/*.css $(docdir)/api/ruby/doc
	$(CHMOD) 644 $(docdir)/api/ruby/doc/*.css
	$(CP) api/ruby/doc/classes/*.html $(docdir)/api/ruby/doc/classes
	$(CHMOD) 644 $(docdir)/api/ruby/doc/classes/*.html
	$(CP) api/ruby/doc/classes/SQLRConnection.src/*.html $(docdir)/api/ruby/doc/classes/SQLRConnection.src
	$(CHMOD) 644 $(docdir)/api/ruby/doc/classes/SQLRConnection.src/*.html
	$(CP) api/ruby/doc/classes/SQLRCursor.src/*.html $(docdir)/api/ruby/doc/classes/SQLRCursor.src
	$(CHMOD) 644 $(docdir)/api/ruby/doc/classes/SQLRCursor.src/*.html
	$(CP) api/ruby/doc/files/*.html $(docdir)/api/ruby/doc/files
	$(CHMOD) 644 $(docdir)/api/ruby/doc/files/*.html
	$(CP) api/ruby/doc/images/*.png $(docdir)/api/ruby/doc/images
	$(CHMOD) 644 $(docdir)/api/ruby/doc/images/*.png
	$(CP) api/ruby/doc/js/*.js $(docdir)/api/ruby/doc/js
	$(CHMOD) 644 $(docdir)/api/ruby/doc/js/*.js
	$(CP) api/java/*.html $(docdir)/api/java
	$(CHMOD) 644 $(docdir)/api/java/*.html
	$(CP) api/java/package-list $(docdir)/api/java
	$(CHMOD) 644 $(docdir)/api/java/package-list
	$(CP) api/java/*.css $(docdir)/api/java
	$(CHMOD) 644 $(docdir)/api/java/*.css
	$(MKINSTALLDIRS) $(docdir)/api/java/com
	$(MKINSTALLDIRS) $(docdir)/api/java/com/firstworks
	$(MKINSTALLDIRS) $(docdir)/api/java/com/firstworks/sqlrelay
	$(CP) api/java/com/firstworks/sqlrelay/*.html $(docdir)/api/java/com/firstworks/sqlrelay
	$(CHMOD) 644 $(docdir)/api/java/com/firstworks/sqlrelay/*.html
	$(MKINSTALLDIRS) $(docdir)/api/java/resources
	$(CP) api/java/resources/*.gif $(docdir)/api/java/resources
	$(CHMOD) 644 $(docdir)/api/java/resources/*.gif
	$(CP) api/tcl/*.html $(docdir)/api/tcl
	$(CHMOD) 644 $(docdir)/api/tcl/*.html
	$(CP) api/tcl/*.txt $(docdir)/api/tcl
	$(CHMOD) 644 $(docdir)/api/tcl/*.txt
	$(CP) api/erlang/html/edoc-info $(docdir)/api/erlang/html
	$(CHMOD) 644 $(docdir)/api/erlang/html/edoc-info
	$(CP) api/erlang/html/*.png $(docdir)/api/erlang/html
	$(CHMOD) 644 $(docdir)/api/erlang/html/*.png
	$(CP) api/erlang/html/*.html $(docdir)/api/erlang/html
	$(CHMOD) 644 $(docdir)/api/erlang/html/*.html
	$(CP) api/erlang/html/*.css $(docdir)/api/erlang/html
	$(CHMOD) 644 $(docdir)/api/erlang/html/*.css
	$(CP) api/nodejs/html/*.html $(docdir)/api/nodejs/html
	$(CHMOD) 644 $(docdir)/api/nodejs/html/*.html
	$(CP) api/nodejs/html/*.css $(docdir)/api/nodejs/html
	$(CHMOD) 644 $(docdir)/api/nodejs/html/*.css
	$(CP) api/nodejs/html/*.png $(docdir)/api/nodejs/html
	$(CHMOD) 644 $(docdir)/api/nodejs/html/*.png
	$(CP) api/nodejs/html/*.js $(docdir)/api/nodejs/html
	$(CHMOD) 644 $(docdir)/api/nodejs/html/*.js
	$(CP) dropin/*.html $(docdir)/dropin
	$(CHMOD) 644 $(docdir)/dropin/*.html
	$(CP) features/*.html $(docdir)/features
	$(CHMOD) 644 $(docdir)/features/*.html
	$(CP) images/*.png $(docdir)/images
	$(CHMOD) 644 $(docdir)/images/*.png
	$(CP) images/*.PNG $(docdir)/images
	$(CHMOD) 644 $(docdir)/images/*.PNG
	$(CP) js/*.js $(docdir)/js
	$(CHMOD) 644 $(docdir)/js/*.js
	$(CP) programming/*.html $(docdir)/programming
	$(CHMOD) 644 $(docdir)/programming/*.html

uninstall:
	$(RMTREE) $(docdir)

clean:
	$(RM) $(OBJS)
	cd admin $(AND) $(MAKE) clean
	cd dropin $(AND) $(MAKE) clean
	cd features $(AND) $(MAKE) clean
	cd programming $(AND) $(MAKE) clean
	cd howtos $(AND) $(MAKE) clean

=== etc/Makefile ===
top_builddir = ..

include ../config.mk

install:
	$(MKINSTALLDIRS) $(sysconfdir)/$(SQLRELAY).conf.d
	$(CP) sqlrelay.xsd $(sysconfdir)/$(SQLRELAY).xsd
	$(CHMOD) 644 $(sysconfdir)/$(SQLRELAY).xsd
	$(MKINSTALLDIRS) $(EXAMPLEDIR)
	$(CP) sqlrelay.conf $(EXAMPLEDIR)/$(SQLRELAY).conf
	$(CHMOD) 644 $(EXAMPLEDIR)/$(SQLRELAY).conf

uninstall:
	$(RM) $(EXAMPLEDIR)/$(SQLRELAY).conf \
		$(EXAMPLEDIR)/sqlrelay.conf \
		$(sysconfdir)/sqlrelay.xsd \
		$(sysconfdir)/sqlrelay.dtd \
		$(sysconfdir)/sqlrelay.conf.example \
		$(datadir)/examples/sqlrelay.conf
	-$(RMDIR) $(sysconfdir)/$(SQLRELAY).conf.d 2> /dev/null
	-$(RMDIR) $(sysconfdir)/sqlrelay.conf.d 2> /dev/null
	-$(RMDIR) $(EXAMPLEDIR) 2> /dev/null
	-$(RMDIR) $(datadir)/$(SQLRELAY) 2> /dev/null
	-$(RMDIR) $(datadir)/examples 2> /dev/null

=== src/Makefile ===
include ../config.mk

all: $(SRCALLSUBDIRS)

all-util:
	cd util $(AND) $(MAKE) all

all-api:
	cd api $(AND) $(MAKE) all

all-server:
	cd server $(AND) $(MAKE) all

all-configs:
	cd configs $(AND) $(MAKE) all

all-parsers:
	cd parsers $(AND) $(MAKE) all

all-queries:
	cd queries $(AND) $(MAKE) all

all-loggers:
	cd loggers $(AND) $(MAKE) all

all-notifications:
	cd notifications $(AND) $(MAKE) all

all-schedules:
	cd schedules $(AND) $(MAKE) all

all-routers:
	cd routers $(AND) $(MAKE) all

all-protocols:
	cd protocols $(AND) $(MAKE) all

all-pwdencs:
	cd pwdencs $(AND) $(MAKE) all

all-auths:
	cd auths $(AND) $(MAKE) all

all-directives:
	cd directives $(AND) $(MAKE) all

all-translations:
	cd translations $(AND) $(MAKE) all

all-bindvariabletranslations:
	cd bindvariabletranslations $(AND) $(MAKE) all

all-resultsettranslations:
	cd resultsettranslations $(AND) $(MAKE) all

all-resultsetrowtranslations:
	cd resultsetrowtranslations $(AND) $(MAKE) all

all-resultsetrowblocktranslations:
	cd resultsetrowblocktranslations $(AND) $(MAKE) all

all-resultsetheadertranslations:
	cd resultsetheadertranslations $(AND) $(MAKE) all

all-filters:
	cd filters $(AND) $(MAKE) all

all-triggers:
	cd triggers $(AND) $(MAKE) all

all-moduledatas:
	cd moduledatas $(AND) $(MAKE) all

all-connections:
	cd connections $(AND) $(MAKE) all

all-cmdline:
	cd cmdline $(AND) $(MAKE) all

clean:
	cd util $(AND) $(MAKE) clean
	cd api $(AND) $(MAKE) clean
	cd configs $(AND) $(MAKE) clean
	cd parsers $(AND) $(MAKE) clean
	cd queries $(AND) $(MAKE) clean
	cd loggers $(AND) $(MAKE) clean
	cd notifications $(AND) $(MAKE) clean
	cd schedules $(AND) $(MAKE) clean
	cd routers $(AND) $(MAKE) clean
	cd protocols $(AND) $(MAKE) clean
	cd pwdencs $(AND) $(MAKE) clean
	cd auths $(AND) $(MAKE) clean
	cd directives $(AND) $(MAKE) clean
	cd translations $(AND) $(MAKE) clean
	cd bindvariabletranslations $(AND) $(MAKE) clean
	cd resultsettranslations $(AND) $(MAKE) clean
	cd resultsetrowtranslations $(AND) $(MAKE) clean
	cd resultsetrowblocktranslations $(AND) $(MAKE) clean
	cd resultsetheadertranslations $(AND) $(MAKE) clean
	cd filters $(AND) $(MAKE) clean
	cd triggers $(AND) $(MAKE) clean
	cd moduledatas $(AND) $(MAKE) clean
	cd connections $(AND) $(MAKE) clean
	cd server $(AND) $(MAKE) clean
	cd cmdline $(AND) $(MAKE) clean

install: $(SRCINSTALLSUBDIRS)

install-util:
	cd util $(AND) $(MAKE) install

install-api:
	cd api $(AND) $(MAKE) install

install-server:
	cd server $(AND) $(MAKE) install

install-configs:
	cd configs $(AND) $(MAKE) install

install-parsers:
	cd parsers $(AND) $(MAKE) install

install-queries:
	cd queries $(AND) $(MAKE) install

install-loggers:
	cd loggers $(AND) $(MAKE) install

install-notifications:
	cd notifications $(AND) $(MAKE) install

install-schedules:
	cd schedules $(AND) $(MAKE) install

install-routers:
	cd routers $(AND) $(MAKE) install

install-protocols:
	cd protocols $(AND) $(MAKE) install

install-pwdencs:
	cd pwdencs $(AND) $(MAKE) install

install-auths:
	cd auths $(AND) $(MAKE) install

install-directives:
	cd directives $(AND) $(MAKE) install

install-translations:
	cd translations $(AND) $(MAKE) install

install-bindvariabletranslations:
	cd bindvariabletranslations $(AND) $(MAKE) install

install-resultsettranslations:
	cd resultsettranslations $(AND) $(MAKE) install

install-resultsetrowtranslations:
	cd resultsetrowtranslations $(AND) $(MAKE) install

install-resultsetrowblocktranslations:
	cd resultsetrowblocktranslations $(AND) $(MAKE) install

install-resultsetheadertranslations:
	cd resultsetheadertranslations $(AND) $(MAKE) install

install-filters:
	cd filters $(AND) $(MAKE) install

install-triggers:
	cd triggers $(AND) $(MAKE) install

install-moduledatas:
	cd moduledatas $(AND) $(MAKE) install

install-connections:
	cd connections $(AND) $(MAKE) install

install-cmdline:
	cd cmdline $(AND) $(MAKE) install

uninstall:
	cd util $(AND) $(MAKE) uninstall
	cd api $(AND) $(MAKE) uninstall
	cd configs $(AND) $(MAKE) uninstall
	cd parsers $(AND) $(MAKE) uninstall
	cd queries $(AND) $(MAKE) uninstall
	cd loggers $(AND) $(MAKE) uninstall
	cd notifications $(AND) $(MAKE) uninstall
	cd schedules $(AND) $(MAKE) uninstall
	cd routers $(AND) $(MAKE) uninstall
	cd protocols $(AND) $(MAKE) uninstall
	cd pwdencs $(AND) $(MAKE) uninstall
	cd auths $(AND) $(MAKE) uninstall
	cd directives $(AND) $(MAKE) uninstall
	cd translations $(AND) $(MAKE) uninstall
	cd bindvariabletranslations $(AND) $(MAKE) uninstall
	cd resultsettranslations $(AND) $(MAKE) uninstall
	cd resultsetrowtranslations $(AND) $(MAKE) uninstall
	cd resultsetrowblocktranslations $(AND) $(MAKE) uninstall
	cd resultsetheadertranslations $(AND) $(MAKE) uninstall
	cd filters $(AND) $(MAKE) uninstall
	cd triggers $(AND) $(MAKE) uninstall
	cd moduledatas $(AND) $(MAKE) uninstall
	cd connections $(AND) $(MAKE) uninstall
	cd server $(AND) $(MAKE) uninstall
	cd cmdline $(AND) $(MAKE) uninstall

=== test/Makefile ===
top_builddir = ..

include ../config.mk

all: $(TESTALLSUBDIRS) 

all-c:
	cd c $(AND) $(MAKE) all

all-cpp:
	cd c++ $(AND) $(MAKE) all

all-cs:
	cd cs $(AND) $(MAKE) all

all-java:
	cd java $(AND) $(MAKE) all

all-stress:
	cd stress $(AND) $(MAKE) all

all-tcl:
	cd tcl $(AND) $(MAKE) all

all-dropin:
	cd dropin $(AND) $(MAKE) all

clean:
	cd bench $(AND) $(MAKE) clean
	cd c $(AND) $(MAKE) clean
	cd c++ $(AND) $(MAKE) clean
	cd cs $(AND) $(MAKE) clean
	cd dropin $(AND) $(MAKE) clean
	cd java $(AND) $(MAKE) clean
	cd jdbc $(AND) $(MAKE) clean
	cd nodejs $(AND) $(MAKE) clean
	cd odbc $(AND) $(MAKE) clean
	cd perl $(AND) $(MAKE) clean
	cd php $(AND) $(MAKE) clean
	cd python $(AND) $(MAKE) clean
	cd ruby $(AND) $(MAKE) clean
	cd stress $(AND) $(MAKE) clean
	cd tcl $(AND) $(MAKE) clean
	$(RM) sqlr-*.*.bt sybinit.err

tests: all
	$(SCRIPTINT) $(THISDIR)testall$(SCRIPTEXT)

=== doc/admin/Makefile ===
top_builddir = ../..

include ../../config.mk

.SUFFIXES: .wt .html

SRCS = configguide.wt \
	configreference.wt \
	installing.wt \
	installingpkg.wt \
	oraclentier.wt \
	prerequisites.wt \
	running.wt \
	tuning.wt \
	tlscert.wt \
	tlsca.wt \
	createtlscert.wt

OBJS = configguide.html \
	configreference.html \
	installing.html \
	installingpkg.html \
	oraclentier.html \
	prerequisites.html \
	running.html \
	tuning.html \
	tlscert.html \
	tlsca.html \
	createtlscert.html

.wt.html:
	wt -i $< -o $@ -xhtml xhtml.conf

all: $(OBJS)

clean:
	$(RM) $(OBJS)

=== doc/dropin/Makefile ===
top_builddir = ../..

include ../../config.mk

.SUFFIXES: .wt .html

SRCS = mysql.wt \
	postgresql.wt

OBJS = mysql.html \
	postgresql.html

.wt.html:
	wt -i $< -o $@ -xhtml xhtml.conf

all: $(OBJS)

clean:
	$(RM) $(OBJS)

=== doc/features/Makefile ===
top_builddir = ../..

include ../../config.mk

.SUFFIXES: .wt .html

SRCS = connectionpooling.wt \
	databases.wt \
	dbabstractionlayers.wt \
	dropinreplacementlibs.wt \
	ha.wt \
	languages.wt \
	multirowfetches.wt \
	nativeprotocol.wt \
	proxying.wt \
	queryfiltering.wt \
	querytranslation.wt \
	queryrouting.wt \
	resultsetcaching.wt \
	schedules.wt \
	substitutionandbindvars.wt \
	suspendedtx.wt \
	throttling.wt

OBJS = connectionpooling.html \
	databases.html \
	dbabstractionlayers.html \
	dropinreplacementlibs.html \
	ha.html \
	languages.html \
	multirowfetches.html \
	nativeprotocol.html \
	proxying.html \
	queryfiltering.html \
	querytranslation.html \
	queryrouting.html \
	resultsetcaching.html \
	schedules.html \
	substitutionandbindvars.html \
	suspendedtx.html \
	throttling.html

.wt.html:
	wt -i $< -o $@ -xhtml xhtml.conf

all: $(OBJS)

clean:
	$(RM) $(OBJS)

=== doc/howtos/Makefile ===
top_builddir = ../..

include ../../config.mk

.SUFFIXES: .wt .html

SRCS = \
	oracle-tls.wt \
	oracle-tls-wallet-quirks.wt \
	oracle-tls-selfsigned.wt \
	oracle-tls-casigned.wt \
	freetds-mssql-tls.wt \
	ubuntu1604-sqlrserver-oracle12c.wt \
	ubuntu1604-sqlrclient.wt \
	ubuntu1604-datagrip.wt \
	sqlrserver-tls-pfx-sqlserver-windows.wt \
	tls-encryption.wt \
	tls-certificate.wt

OBJS = \
	oracle-tls.html \
	oracle-tls-wallet-quirks.html \
	oracle-tls-selfsigned.html \
	oracle-tls-casigned.html \
	freetds-mssql-tls.html \
	ubuntu1604-sqlrserver-oracle12c.html \
	ubuntu1604-sqlrclient.html \
	ubuntu1604-datagrip.html \
	sqlrserver-tls-pfx-sqlserver-windows.html \
	tls-encryption.html \
	tls-certificate.html


.wt.html:
	wt -i $< -o $@

all: $(OBJS)

clean:
	$(RM) $(OBJS)

=== doc/programming/Makefile ===
top_builddir = ../..

include ../../config.mk

.SUFFIXES: .wt .html

SRCS = ado.net.wt \
	c.wt \
	c++.wt \
	cs.wt \
	binds.wt \
	erlang.wt \
	java.wt \
	jdbc.wt \
	nodejs.wt \
	odbc.wt \
	perldbi.wt \
	perl.wt \
	php.wt \
	phppdo.wt \
	precisionscale.wt \
	pythondb.wt \
	python.wt \
	ruby.wt \
	tcl.wt

OBJS = ado.net.html \
	c.html \
	c++.html \
	cs.html \
	binds.html \
	erlang.html \
	java.html \
	jdbc.html \
	nodejs.html \
	odbc.html \
	perldbi.html \
	perl.html \
	php.html \
	phppdo.html \
	precisionscale.html \
	pythondb.html \
	python.html \
	ruby.html \
	tcl.html

.wt.html:
	wt -i $< -o $@ -xhtml xhtml.conf

all: $(OBJS)

clean:
	$(RM) $(OBJS)

=== src/auths/Makefile ===
top_builddir = ../..

include ../../config.mk

.SUFFIXES: .lo

.cpp.lo:
	$(LTCOMPILE) $(CXX) $(CXXFLAGS) $(WERROR) $(AUTHCPPFLAGS) $(COMPILE) $< $(OUT)$@

.cpp.obj:
	$(CXX) $(CXXFLAGS) $(WERROR) $(AUTHCPPFLAGS) $(COMPILE) $<

all: all-base $(AUTHALLOPTIONALTARGETS)

all-base: $(SQLR)auth_userlist.$(LIBEXT) \
		$(SQLR)auth_database.$(LIBEXT) \
		$(SQLR)auth_proxied.$(LIBEXT) \
		$(SQLR)auth_mysql_userlist.$(LIBEXT) \
		$(SQLR)auth_mysql_database.$(LIBEXT) \
		$(SQLR)auth_postgresql_userlist.$(LIBEXT) \

all-sqlrelay: $(SQLR)auth_sqlrelay.$(LIBEXT)

clean:
	$(LTCLEAN) $(RM) *.lo *.o *.obj *.$(LIBEXT) *.lib *.exp *.idb *.pdb *.manifest *.ii
	$(RMTREE) .libs

$(SQLR)auth_userlist.$(LIBEXT): userlist.cpp userlist.$(OBJ)
	$(LTLINK) $(LINK) $(OUT)$@ userlist.$(OBJ) $(LDFLAGS) $(PLUGINLIBS) $(MODLINKFLAGS)

$(SQLR)auth_database.$(LIBEXT): database.cpp database.$(OBJ)
	$(LTLINK) $(LINK) $(OUT)$@ database.$(OBJ) $(LDFLAGS) $(PLUGINLIBS) $(MODLINKFLAGS)

$(SQLR)auth_proxied.$(LIBEXT): proxied.cpp proxied.$(OBJ)
	$(LTLINK) $(LINK) $(OUT)$@ proxied.$(OBJ) $(LDFLAGS) $(PLUGINLIBS) $(MODLINKFLAGS)

$(SQLR)auth_sqlrelay.$(LIBEXT): sqlrelay.cpp sqlrelay.$(OBJ)
	$(LTLINK) $(LINK) $(OUT)$@ sqlrelay.$(OBJ) $(LDFLAGS) $(SQLRAUTH_SQLRELAYLIBS) $(PLUGINLIBS) $(MODLINKFLAGS)

$(SQLR)auth_mysql_userlist.$(LIBEXT): mysql_userlist.cpp mysql_userlist.$(OBJ)
	$(LTLINK) $(LINK) $(OUT)$@ mysql_userlist.$(OBJ) $(LDFLAGS) $(PLUGINLIBS) $(MODLINKFLAGS)

$(SQLR)auth_mysql_database.$(LIBEXT): mysql_database.cpp mysql_database.$(OBJ)
	$(LTLINK) $(LINK) $(OUT)$@ mysql_database.$(OBJ) $(LDFLAGS) $(PLUGINLIBS) $(MODLINKFLAGS)

$(SQLR)auth_postgresql_userlist.$(LIBEXT): postgresql_userlist.cpp postgresql_userlist.$(OBJ)
	$(LTLINK) $(LINK) $(OUT)$@ postgresql_userlist.$(OBJ) $(LDFLAGS) $(PLUGINLIBS) $(MODLINKFLAGS)

install: $(INSTALLLIB)

installdll:
	$(MKINSTALLDIRS) $(libexecdir)
	$(LTINSTALL) $(CP) $(SQLR)auth_userlist.$(LIBEXT) $(libexecdir)
	$(LTINSTALL) $(CP) $(SQLR)auth_database.$(LIBEXT) $(libexecdir)
	$(LTINSTALL) $(CP) $(SQLR)auth_proxied.$(LIBEXT) $(libexecdir)
	$(LTINSTALL) $(CP) $(SQLR)auth_sqlrelay.$(LIBEXT) $(libexecdir)
	$(LTINSTALL) $(CP) $(SQLR)auth_mysql_userlist.$(LIBEXT) $(libexecdir)
	$(LTINSTALL) $(CP) $(SQLR)auth_mysql_database.$(LIBEXT) $(libexecdir)
	$(LTINSTALL) $(CP) $(SQLR)auth_postgresql_userlist.$(LIBEXT) $(libexecdir)

installlib: $(INSTALLSHAREDLIB) $(AUTHINSTALLSHAREDLIBOPTIONALTARGETS)

installsharedlib:
	$(MKINSTALLDIRS) $(libexecdir)
	$(LTINSTALL) $(CP) $(SQLR)auth_userlist.$(LIBEXT) $(libexecdir)
	$(RM) $(libexecdir)/$(SQLR)auth_userlist.a
	$(RM) $(libexecdir)/$(SQLR)auth_userlist.$(LIBEXT)
	$(MODULERENAME) $(libexecdir)/$(SQLR)auth_userlist.so so $(MODULESUFFIX)
	$(LTINSTALL) $(CP) $(SQLR)auth_database.$(LIBEXT) $(libexecdir)
	$(RM) $(libexecdir)/$(SQLR)auth_database.a
	$(RM) $(libexecdir)/$(SQLR)auth_database.$(LIBEXT)
	$(MODULERENAME) $(libexecdir)/$(SQLR)auth_database.so so $(MODULESUFFIX)
	$(LTINSTALL) $(CP) $(SQLR)auth_proxied.$(LIBEXT) $(libexecdir)
	$(RM) $(libexecdir)/$(SQLR)auth_proxied.a
	$(RM) $(libexecdir)/$(SQLR)auth_proxied.$(LIBEXT)
	$(MODULERENAME) $(libexecdir)/$(SQLR)auth_proxied.so so $(MODULESUFFIX)
	$(LTINSTALL) $(CP) $(SQLR)auth_mysql_userlist.$(LIBEXT) $(libexecdir)
	$(RM) $(libexecdir)/$(SQLR)auth_mysql_userlist.a
	$(RM) $(libexecdir)/$(SQLR)auth_mysql_userlist.$(LIBEXT)
	$(MODULERENAME) $(libexecdir)/$(SQLR)auth_mysql_userlist.so so $(MODULESUFFIX)
	$(LTINSTALL) $(CP) $(SQLR)auth_mysql_database.$(LIBEXT) $(libexecdir)
	$(RM) $(libexecdir)/$(SQLR)auth_mysql_database.a
	$(RM) $(libexecdir)/$(SQLR)auth_mysql_database.$(LIBEXT)
	$(MODULERENAME) $(libexecdir)/$(SQLR)auth_mysql_database.so so $(MODULESUFFIX)
	$(LTINSTALL) $(CP) $(SQLR)auth_postgresql_userlist.$(LIBEXT) $(libexecdir)
	$(RM) $(libexecdir)/$(SQLR)auth_postgresql_userlist.a
	$(RM) $(libexecdir)/$(SQLR)auth_postgresql_userlist.$(LIBEXT)
	$(MODULERENAME) $(libexecdir)/$(SQLR)auth_postgresql_userlist.so so $(MODULESUFFIX)

installsharedlib-sqlrelay:
	$(MKINSTALLDIRS) $(libexecdir)
	$(LTINSTALL) $(CP) $(SQLR)auth_sqlrelay.$(LIBEXT) $(libexecdir)
	$(RM) $(libexecdir)/$(SQLR)auth_sqlrelay.a
	$(RM) $(libexecdir)/$(SQLR)auth_sqlrelay.$(LIBEXT)
	$(MODULERENAME) $(libexecdir)/$(SQLR)auth_sqlrelay.so so $(MODULESUFFIX)

uninstall:
	$(RM) $(libexecdir)/$(SQLR)auth_default.* \
		$(libexecdir)/$(SQLR)auth_userlist.* \
		$(libexecdir)/$(SQLR)auth_database.* \
		$(libexecdir)/$(SQLR)auth_proxied.* \
		$(libexecdir)/$(SQLR)auth_krb_userlist.* \
		$(libexecdir)/$(SQLR)auth_tls_userlist.* \
		$(libexecdir)/$(SQLR)auth_kerberos_userlist.* \
		$(libexecdir)/$(SQLR)auth_sqlrelay.* \
		$(libexecdir)/$(SQLR)auth_mysql_userlist.* \
		$(libexecdir)/$(SQLR)auth_mysql_database.* \
		$(libexecdir)/$(SQLR)auth_postgresql_userlist.* \
		$(libexecdir)/sqlrauth_default.* \
		$(libexecdir)/sqlrauth_userlist.* \
		$(libexecdir)/sqlrauth_database.* \
		$(libexecdir)/sqlrauth_proxied.* \
		$(libexecdir)/sqlrauth_krb_userlist.* \
		$(libexecdir)/sqlrauth_kerberos_userlist.* \
		$(libexecdir)/sqlrauth_sqlrelay.*

=== src/bindvariabletranslations/Makefile ===
top_builddir = ../..

include ../../config.mk

.SUFFIXES: .lo

.cpp.lo:
	$(LTCOMPILE) $(CXX) $(CXXFLAGS) $(WERROR) $(PLUGINCPPFLAGS) $(COMPILE) $< $(OUT)$@

.cpp.obj:
	$(LTCOMPILE) $(CXX) $(CXXFLAGS) $(WERROR) $(PLUGINCPPFLAGS) $(COMPILE) $<

all: $(SQLR)bindvariabletranslation_test.$(LIBEXT)

clean:
	$(LTCLEAN) $(RM) *.lo *.o *.obj *.$(LIBEXT) *.lib *.exp *.idb *.pdb *.manifest *.ii
	$(RMTREE) .libs

$(SQLR)bindvariabletranslation_test.$(LIBEXT): test.cpp test.$(OBJ)
	$(LTLINK) $(LINK) $(OUT)$@ test.$(OBJ) $(LDFLAGS) $(PLUGINLIBS) $(MODLINKFLAGS)

install: $(INSTALLLIB)

installdll:
	$(MKINSTALLDIRS) $(libexecdir)
	$(LTINSTALL) $(CP) $(SQLR)bindvariabletranslation_test.$(LIBEXT) $(libexecdir)

installlib: $(INSTALLSHAREDLIB)

installsharedlib:
	$(MKINSTALLDIRS) $(libexecdir)
	$(LTINSTALL) $(CP) $(SQLR)bindvariabletranslation_test.$(LIBEXT) $(libexecdir)
	$(RM) $(libexecdir)/$(SQLR)bindvariabletranslation_test.a
	$(RM) $(libexecdir)/$(SQLR)bindvariabletranslation_test.$(LIBEXT)
	$(MODULERENAME) $(libexecdir)/$(SQLR)bindvariabletranslation_test.so so $(MODULESUFFIX)

uninstall:
	$(RM) $(libexecdir)/$(SQLR)bindvariabletranslation_test.* \
		$(libexecdir)/sqlrbindvariabletranslation_test.*

=== debian/changelog ===
sqlrelay (1.9.2-1) unstable; urgency=medium

  * Initial release

 -- David Muse <david.muse@firstworks.com>  Sun, 17 Feb 2019 17:26:00 -0600

=== debian/control ===
Source: sqlrelay
Priority: optional
Maintainer: David Muse <david.muse@firstworks.com>
Homepage: http://sqlrelay.sourceforge.net
Standards-Version: 3.9.6
Build-Depends: debhelper (>=9),autotools-dev, rudiments-dev

Package: sqlrelay
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rudiments
Description: Database proxy
 SQL Relay is a persistent database connection pooling, proxying, throttling,
 load balancing and query routing/filtering system for Unix and Linux
 supporting ODBC, Oracle, MySQL, PostgreSQL, SAP/Sybase, MS SQL Server, IBM DB2,
 Informix, Firebird, SQLite and MS Access (minimally) with APIs for C, C++,
 .NET, Perl, Perl-DBI, Python, Python-DB, PHP, PHP PDO, Ruby, Java, TCL,
 Erlang, and node.js, ODBC and ADO.NET drivers, drop-in replacement libraries
 for MySQL and PostgreSQL, command line clients and extensive documentation.
 The APIs support advanced database operations such as bind variables,
 multi-row fetches, client-side result set caching and suspended transactions.
 It is ideal for speeding up database-driven web-based applications, accessing
 databases from unsupported platforms, migrating between databases, distributing
 access to replicated or clustered databases and throttling database access.

Package: sqlrelay-server-dev
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Development files for SQL Relay server modules
 Development files for SQL Relay server modules.

Package: sqlrelay-clients
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Command line clients for accessing databases via SQL Relay
 Command line clients for accessing databases via SQL Relay.

Package: sqlrelay-cachemanager
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: SQL Relay client-side result-set cache manager
 SQL Relay client-side result-set cache manager.

Package: sqlrelay-common
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Components used by SQL Relay client-side and server-side programs
 Components used by SQL Relay client-side and server-side programs.

Package: sqlrelay-common-dev
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Development files for SQL Relay common components
 Development files for SQL Relay common components.

Package: sqlrelay-c++
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: The SQL Relay C++ client library
 The SQL Relay C++ client library.

Package: sqlrelay-c
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: The SQL Relay C client library
 The SQL Relay C client library.

Package: sqlrelay-c++-dev
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Development files for the SQL Relay C++ client library
 Development files for the SQL Relay C++ client library.

Package: sqlrelay-c-dev
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Development files for the SQL Relay C client library
 Development files for the SQL Relay C client library.

Package: odbc-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: ODBC driver for SQL Relay
 ODBC driver for SQL Relay.

Package: perl-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Perl bindings for the SQL Relay client API
 Perl bindings for the SQL Relay client API.

Package: perl-dbd-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Perl DBI driver for SQL Relay
 Perl DBI driver for SQL Relay.

Package: python3-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Python bindings for the SQL Relay client API
 Python bindings for the SQL Relay client API.

Package: python3-db-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Python DB bindings for SQL Relay
 Python DB bindings for SQL Relay.

Package: ruby-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Ruby bindings for the SQL Relay client API
 Ruby bindings for the SQL Relay client API.

Package: php-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: PHP bindings for the SQL Relay client API
 PHP bindings for the SQL Relay client API.

Package: php-pdo-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: PHP PDO driver for SQL Relay
 PHP PDO driver for SQL Relay.

Package: java-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Java bindings for the SQL Relay client API
 Java bindings for the SQL Relay client API.

Package: tcl-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: TCL bindings for the SQL Relay client API
 TCL bindings for the SQL Relay client API.

Package: erlang-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Erlang bindings for the SQL Relay client API
 Erlang bindings for the SQL Relay client API.

Package: libmono-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Mono bindings for the SQL Relay client API and ADO.NET driver
 Mono bindings for the SQL Relay client API and ADO.NET driver.

Package: node-sqlrelay
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Nodejs bindings for the SQL Relay client API
 Nodejs bindings for the SQL Relay client API.

Package: sqlrelay-oracle
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Oracle back-end module for SQL Relay
 Oracle back-end module for SQL Relay.

Package: sqlrelay-mysql
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: MySQL back-end module for SQL Relay
 MySQL back-end module for SQL Relay.

Package: sqlrelay-postgresql
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: PostgreSQL back-end module for SQL Relay
 PostgreSQL back-end module for SQL Relay.

Package: sqlrelay-sqlite
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: SQLite back-end module for SQL Relay
 SQLite back-end module for SQL Relay.

Package: sqlrelay-freetds
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: FreeTDS back-end module for SQL Relay
 FreeTDS back-end module for SQL Relay.

Package: sqlrelay-odbc
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: ODBC back-end module for SQL Relay
 ODBC back-end module for SQL Relay.

Package: sqlrelay-db2
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: DB2 back-end module for SQL Relay
 DB2 back-end module for SQL Relay.

Package: sqlrelay-firebird
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Firebird back-end module for SQL Relay
 Firebird back-end module for SQL Relay.

Package: sqlrelay-mdbtools
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: MDB Tools back-end module for SQL Relay
 MDB Tools back-end module for SQL Relay.

Package: sqlrelay-informix
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Informix back-end module for SQL Relay
 Informix back-end module for SQL Relay.

Package: sqlrelay-router
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Router back-end module for SQL Relay
 Router back-end module for SQL Relay.

Package: sqlrelay-doc
Section: libdevel
Architecture: any
Depends: sqlrelay (= ${binary:Version}), ${misc:Depends}
Description: Documentation for SQL Relay
 Documentation for SQL Relay.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# FIXME: temporary kludges
export PERL_VERSION = $(shell eval `perl -V:version`; echo $$version)
export RUBY_VERSION = $(shell ruby -v | cut -d' ' -f2 | sed -e "s|p.*||")

clean:
	dh_testdir
	dh_auto_configure
	dh_auto_clean
	dh_clean

%:
	dh $@  --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-static \
		--enable-oracle-at-runtime \
		--enable-sap-at-runtime \
		--enable-db2-at-runtime \
		--enable-informix-at-runtime \
		--with-perl-site-lib=/usr/share/perl/$(PERL_VERSION) \
		--with-perl-site-arch=/usr/lib/$(DEB_HOST_MULTIARCH)/perl/$(PERL_VERSION) \
		--with-ruby-site-arch-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/ruby/$(RUBY_VERSION) \
		--with-default-runasuser=sqlrelay \
		--with-default-runasgroup=sqlrelay
